| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::Client::ChannelTypeRoomListInterface Class Reference
Client-side proxies » Channel proxies

`#include <TelepathyQt/Channel>`

Inheritance diagram for Tp::Client::ChannelTypeRoomListInterface:
[legend]

## Public Slots

QDBusPendingReply< bool > | GetListingRooms (int timeout=-1)
QDBusPendingReply | ListRooms (int timeout=-1)
QDBusPendingReply | StopListing (int timeout=-1)

## Signals

void | GotRooms (const Tp::RoomInfoList &rooms)
void | ListingRooms (bool listing)
Signals inherited from Tp::AbstractInterface
void | propertiesChanged (const QVariantMap &changedProperties, const QStringList &invalidatedProperties)

## Public Member Functions

| ChannelTypeRoomListInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
| ChannelTypeRoomListInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
| ChannelTypeRoomListInterface (Tp::DBusProxy *proxy)
| ChannelTypeRoomListInterface (const Tp::Client::ChannelInterface &mainInterface)
| ChannelTypeRoomListInterface (const Tp::Client::ChannelInterface &mainInterface, QObject *parent)
Tp::PendingVariant * | requestPropertyServer () const
Tp::PendingVariantMap * | requestAllProperties () const
Public Member Functions inherited from Tp::AbstractInterface
virtual | ~AbstractInterface ()
bool | isValid () const
QString | invalidationReason () const
QString | invalidationMessage () const
void | setMonitorProperties (bool monitorProperties)
bool | isMonitoringProperties () const
Public Member Functions inherited from QDBusAbstractInterface
virtual | ~QDBusAbstractInterface ()
bool | isValid () const
QDBusConnection | connection () const
QString | service () const
QString | path () const
QString | interface () const
QDBusError | lastError () const
void | setTimeout (int timeout)
int | timeout () const
QDBusMessage | call (const QString &method, const QVariant &arg1, const QVariant &arg2, const QVariant &arg3, const QVariant &arg4, const QVariant &arg5, const QVariant &arg6, const QVariant &arg7, const QVariant &arg8)
QDBusMessage | call (QDBus::CallMode mode, const QString &method, const QVariant &arg1, const QVariant &arg2, const QVariant &arg3, const QVariant &arg4, const QVariant &arg5, const QVariant &arg6, const QVariant &arg7, const QVariant &arg8)
QDBusMessage | callWithArgumentList (QDBus::CallMode mode, const QString &method, const QList< QVariant > &args)
bool | callWithCallback (const QString &method, const QList< QVariant > &args, QObject *receiver, const char *returnMethod, const char *errorMethod)
bool | callWithCallback (const QString &method, const QList< QVariant > &args, QObject *receiver, const char *slot)
QDBusPendingCall | asyncCall (const QString &method, const QVariant &arg1, const QVariant &arg2, const QVariant &arg3, const QVariant &arg4, const QVariant &arg5, const QVariant &arg6, const QVariant &arg7, const QVariant &arg8)
QDBusPendingCall | asyncCallWithArgumentList (const QString &method, const QList< QVariant > &args)
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)

## Static Public Member Functions

static QLatin1String | staticInterfaceName ()
Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)

## Protected Member Functions

virtual void | invalidate (Tp::DBusProxy *, const QString &, const QString &)
Protected Member Functions inherited from Tp::AbstractInterface
| AbstractInterface (DBusProxy *proxy, const QLatin1String &interface)
| AbstractInterface (const QString &busName, const QString &path, const QLatin1String &interface, const QDBusConnection &connection, QObject *parent)
PendingVariant * | internalRequestProperty (const QString &name) const
PendingOperation * | internalSetProperty (const QString &name, const QVariant &newValue)
PendingVariantMap * | internalRequestAllProperties () const
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)

## Additional Inherited Members

Protected Slots inherited from Tp::AbstractInterface
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Type.RoomList".

## Constructor & Destructor Documentation

## § ChannelTypeRoomListInterface() [1/5]

Tp::Client::ChannelTypeRoomListInterface::ChannelTypeRoomListInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ChannelTypeRoomListInterface associated with the given object on the session bus.

Parameters

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

## § ChannelTypeRoomListInterface() [2/5]

Tp::Client::ChannelTypeRoomListInterface::ChannelTypeRoomListInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ChannelTypeRoomListInterface associated with the given object on the given bus.

Parameters

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

## § ChannelTypeRoomListInterface() [3/5]

Tp::Client::ChannelTypeRoomListInterface::ChannelTypeRoomListInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a ChannelTypeRoomListInterface associated with the same object as the given proxy.

Parameters

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

## § ChannelTypeRoomListInterface() [4/5]

Tp::Client::ChannelTypeRoomListInterface::ChannelTypeRoomListInterface | ( | const Tp::Client::ChannelInterface & | mainInterface | ) |

explicit

Creates a ChannelTypeRoomListInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters

  mainInterface | The proxy to use.

## § ChannelTypeRoomListInterface() [5/5]

Tp::Client::ChannelTypeRoomListInterface::ChannelTypeRoomListInterface | ( | const Tp::Client::ChannelInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a ChannelTypeRoomListInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

## § staticInterfaceName()

static QLatin1String Tp::Client::ChannelTypeRoomListInterface::staticInterfaceName | ( |  | ) |

inline static

Returns the name of the interface "org.freedesktop.Telepathy.Channel.Type.RoomList", which this class represents.

Returns
  The D-Bus interface name.

## § requestPropertyServer()

Tp::PendingVariant* Tp::Client::ChannelTypeRoomListInterface::requestPropertyServer | ( |  | ) | const

inline

Asynchronous getter for the remote object property `Server` of type `QString`.

For protocols with a concept of chatrooms on multiple servers with different DNS names (like XMPP), the DNS name of the server whose rooms are listed by this channel, e.g. "conference.jabber.org". Otherwise, the empty string. This property cannot change during the lifetime of the channel.

Returns
  A pending variant which will emit finished when the property has been retrieved.

## § requestAllProperties()

Tp::PendingVariantMap* Tp::Client::ChannelTypeRoomListInterface::requestAllProperties | ( |  | ) | const

inline

Request all of the DBus properties on the interface.

Returns
  A pending variant map which will emit finished when the properties have been retrieved.

## § GetListingRooms

QDBusPendingReply<bool> Tp::Client::ChannelTypeRoomListInterface::GetListingRooms | ( | int | timeout = `-1` | ) |

inline slot

Begins a call to the D-Bus method `GetListingRooms` on the remote object.

Check to see if there is already a room list request in progress on this channel.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  timeout | The timeout in milliseconds.

Returns

      A boolean indicating if room listing is in progress

## § ListRooms

QDBusPendingReply Tp::Client::ChannelTypeRoomListInterface::ListRooms | ( | int | timeout = `-1` | ) |

inline slot

Begins a call to the D-Bus method `ListRooms` on the remote object.

Request the list of rooms from the server. The ListingRooms (True) signal should be emitted when this request is being processed, GotRooms when any room information is received, and ListingRooms (False) when the request is complete.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  timeout | The timeout in milliseconds.

## § StopListing

QDBusPendingReply Tp::Client::ChannelTypeRoomListInterface::StopListing | ( | int | timeout = `-1` | ) |

inline slot

Begins a call to the D-Bus method `StopListing` on the remote object.

Stop the room listing if it's in progress, but don't close the channel. The ListingRooms (False) signal should be emitted when the listing stops.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  timeout | The timeout in milliseconds.

## § GotRooms

void Tp::Client::ChannelTypeRoomListInterface::GotRooms | ( | const Tp::RoomInfoList & | rooms | ) |

signal

Represents the signal `GotRooms` on the remote object.

Emitted when information about rooms on the server becomes available. The array contains the room handle (as can be passed to the ConnectionInterface::RequestChannel() method with HANDLE_TYPE_ROOM), the channel type, and a dictionary containing further information about the room as available. The following well-known keys and types are recommended for use where appropriate:

handle-name (s)
  The identifier of the room (as would be returned by ConnectionInterface::InspectHandles() ). This property is mandatory.
name (s)
  The human-readable name of the room if different from the handle
description (s)
  A description of the room's overall purpose
subject (s)
  The current subject of conversation in the room (as would be returned by getting the string part of the ChannelInterfaceSubjectInterface::Subject property)
members (u)
  The number of members in the room
password (b)
  True if the room requires a password to enter
invite-only (b)
  True if you cannot join the room, but must be invited
room-id (s)
  The human-readable identifier of a chat room (as would be returned by getting the ChannelInterfaceRoomInterface::RoomName property)
server (s)
  The DNS name of the server hosting these channels (as would be returned by getting the ChannelInterfaceRoomInterface::Server property)

Parameters

  rooms

  An array of structs containing:
  - an integer room handle
  - a string representing the D-Bus interface name of the channel type
  - a dictionary mapping string keys to variant boxed information

## § ListingRooms

void Tp::Client::ChannelTypeRoomListInterface::ListingRooms | ( | bool | listing | ) |

signal

Represents the signal `ListingRooms` on the remote object.

Emitted to indicate whether or not room listing request is currently in progress.

Parameters

  listing

      A boolean indicating if room listing is in progress

## § invalidate()

void Tp::Client::ChannelTypeRoomListInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  |

protected virtual

Reimplemented from Tp::AbstractInterface.